package com.steerinfo.metermonitor.metermonitornote.service;

import com.steerinfo.framework.service.IBaseService;
import com.steerinfo.framework.service.pagehelper.PageList;
import com.steerinfo.metermonitor.metermonitornote.model.MeterMonitorNote;

import java.util.HashMap;
import java.util.List;
import java.util.Map;

/**
 * MeterMonitorNote服务接口：
 * @author generator
 * @version 1.0-SNAPSHORT 2020-09-22 07:12
 * 类描述
 * 修订历史：
 * 日期：2020-09-22
 * 作者：generator
 * 参考：
 * 描述：MeterMonitorNote服务接口
 * @see null
 * @Copyright 湖南视拓信息技术股份有限公司. All rights reserved.
 */
public interface IMeterMonitorNoteService extends IBaseService<MeterMonitorNote, String>{

    PageList<MeterMonitorNote> selectView(Map<String,Object> parmas, Integer pageNum, Integer pageSize);

    PageList<MeterMonitorNote> likeByDesc(Map<String, Object> var1, Integer var2, Integer var3);

    PageList<MeterMonitorNote> selectByTime(String baseSpotNo, String operationTime,String carNo, Integer pageNum, Integer pageSize);

    String doSaveWf(MeterMonitorNote model);

    PageList<MeterMonitorNote> selectByType(HashMap parmas, Integer pageNum, Integer pageSize);

    List<MeterMonitorNote> queryLikeNoPage(HashMap<String, Object> params);

    //根据时间查询所有秤点的不验证历史皮重、不验证异地计量、不验证零点告警、不验证时间间隔、不验证对射、不验证毛皮超差
    PageList<MeterMonitorNote> allStateView(HashMap parmas, Integer pageNum, Integer pageSize);
    PageList<MeterMonitorNote> resetCarView(HashMap parmas, Integer pageNum, Integer pageSize);

}